import request from '@/utils/request'

export function punishmentList(data) {
  return request({
    url: '/punishment/tBizRemPunishment/punishmentList',
    method: 'post',
    data
  })
}

export function startTask(data) {
  return request({
    url: '/punishment/tBizRemPunishment/startTask',
    method: 'post',
    data
  })
}

export function submitTask(data) {
  return request({
    url: '/punishment/tBizRemPunishment/submitTask',
    method: 'post',
    data
  })
}

export function listFile(params) {
  return request({
    url: '/punishment/tBizRemPunishment/listFile',
    method: 'get',
    params
  })
}

export function delFile(params) {
  return request({
    url: '/punishment/tBizRemPunishment/delFile',
    method: 'get',
    params
  })
}

export function getInfo(bizSeq) {
  return request({
    url: '/punishment/tBizRemPunishment/get',
    method: 'get',
    params: {
      id: bizSeq
    }
  })
}
